| Home | Libraries | People | FAQ | More

## Function erase_first_copy

boost::algorithm::erase_first_copy — Erase first algorithm.

## Synopsis

    // In header: <boost/algorithm/string/erase.hpp>

    template<typename OutputIteratorT, typename Range1T, typename Range2T>
      OutputIteratorT
      erase_first_copy(OutputIteratorT Output, const Range1T & Input,
                       const Range2T & Search);
    template<typename SequenceT, typename RangeT>
      SequenceT erase_first_copy(const SequenceT & Input, const RangeT & Search);

## Description

Remove the first occurrence of the substring from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

| Note
The second variant of this function provides the strong exception-safety guarantee

Parameters: |
`Input` | An input string
`Output` | An output iterator to which the result will be copied
`Search` | A substring to be searched for
Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input